Macaulay2 » Documentation
Packages » Book3264Examples :: diagrams
next | previous | forward | backward | up | index | toc

# diagrams -- Ferrers diagrams contained in a rectangle

- Usage:
    `diagrams(k,n)`
- Inputs:
  - k, an integer, maximum size of each entry in diagram
  - n, an integer, number of entries in diagram
- Outputs:
  - a list of lists of integers $\{a_1, \dots, a_n\}$ such that $k \geq a_1 \geq ... \geq a_n \geq 0$

## Ways to use diagrams:

- `diagrams(ZZ,ZZ)`
- diagrams(ZZ,ZZ,ZZ) -- Partitions contained in a rectangle

## For the programmer

The object diagrams is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Book3264Examples.m2:136:0.